Bug 864711 - texlive generates unneeded/unwanted bitmap fonts
texlive generates unneeded/unwanted bitmap fonts
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 19:56 EDT by Michal Jaegermann
Modified: 2015-03-04 20:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:30:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample .tex file which is causing a generation of spurious bitmaps (784 bytes, text/plain)
2012-10-09 19:58 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2012-10-09 19:56:14 EDT
Description of problem:

texlive-2012 installs cm-super fonts by default so one would hope that they will be used in a preference to bitmap fonts.  Actually this is the case, to an extent, only if I am running a cyrillic sample then I see:

kpathsea: Running mktextfm labx1440
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input labx1440

and in a short order and trivial samples I end up in
~/.texlive2012/texmf-var/fonts/ with an extra 372K in the following files:

./pk/ljfour/lh/lh-t2a/labx1200.600pk
./pk/ljfour/lh/lh-t2a/labx1440.600pk
./pk/ljfour/lh/lh-t2a/labx1728.600pk
./pk/ljfour/lh/lh-t2a/larm1200.600pk
./pk/ljfour/lh/lh-t2a/larm1728.600pk
./pk/ljfour/lh/lh-t2a/larm2074.600pk
./pk/ljfour/lh/lh-t2a/pk13927.tmp
./source/lh/lh-t2a/labx1200.mf
./source/lh/lh-t2a/labx1440.mf
./source/lh/lh-t2a/labx1728.mf
./source/lh/lh-t2a/larm1200.mf
./source/lh/lh-t2a/larm1440.mf
./source/lh/lh-t2a/larm1728.mf
./source/lh/lh-t2a/larm2074.mf
./tfm/lh/lh-t2a/labx1200.tfm
./tfm/lh/lh-t2a/labx1440.tfm
./tfm/lh/lh-t2a/labx1728.tfm
./tfm/lh/lh-t2a/larm1200.tfm
./tfm/lh/lh-t2a/larm1440.tfm
./tfm/lh/lh-t2a/larm1728.tfm
./tfm/lh/lh-t2a/larm2074.tfm

plus an extra time it takes to generate that.  Curiously enough I eventually
see in log:

{/usr/share/texlive/texmf-dist/fonts/enc/dvips/cm-super/cm-super-t2a.enc}</us
r/share/texlive/texmf-dist/fonts/type1/public/cm-super/sfbx1440.pfb></usr/share
/texlive/texmf-dist/fonts/type1/public/cm-super/sfbx1728.pfb></usr/share/texliv
e/texmf-dist/fonts/type1/public/cm-super/sfrm1200.pfb>
Output written on sample.pdf (1 page, 37175 bytes).

and 'pdffonts sample.pdf' show:
uni object ID
------------------------------------ ----------------- ---------------- --- --- --- ---------
TSAQGP+SFBX1728                      Type 1            Custom           yes yes no      14  0
HNTONM+SFRM1200                      Type 1            Custom           yes yes no      15  0
GDVKRN+SFBX1440                      Type 1            Custom           yes yes no      16  0

so all that hullabaloo was for naught but why it happened in the first place?

How reproducible:
always with bimaps not yet generated

Additional info:
That does not seem to be new.  I see that same on texlive-2007 installation with additionally installed cm-super fonts;  I simply did not notice that right away as bitmaps were done before I added cm-super.
Comment 1 Michal Jaegermann 2012-10-09 19:58:14 EDT
Created attachment 624337 [details]
sample .tex file which is causing a generation of spurious bitmaps
Comment 2 Jindrich Novy 2012-10-10 04:25:31 EDT
I suspect is just a per-user font cache which speeds up the next compilation. Not really sure it is a bug. Better to say a feature.
Comment 3 Michal Jaegermann 2012-10-10 14:39:08 EDT
(In reply to comment #2)
> I suspect is just a per-user font cache which speeds up the next
> compilation. Not really sure it is a bug. Better to say a feature.

Generating bitmap files which will be not used for anythig save a prevention of doing that again does not strike me as overly useful; especially that they are stored in home directories so with a multiple users on one machine an amount of junk will multiply.  Maybe one can pass that for an annoyance without an obvious resolution, although I did not recall that nastinies with other Type 1 fonts, but calling that "a feature" looks to me like a big stretch.
Comment 4 Fedora End Of Life 2013-04-03 11:21:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora End Of Life 2015-01-09 12:25:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 09:30:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.